package com.huijy.management.domain;

import com.huijy.common.annotation.Excel;
import com.huijy.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 酒店房间预订对象 tb_shop_room_order
 *
 * @author lishuwen
 * @date 2021-11-11
 */
public class ShopRoomOrder extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 房间id
     */
    @Excel(name = "房间id")
    private Long roomId;

    /**
     * 会员id
     */
    @Excel(name = "会员id")
    private Long memberId;

    /**
     * 客户姓名
     */
    @Excel(name = "客户姓名")
    private String name;

    /**
     * 客户电话
     */
    @Excel(name = "客户电话")
    private String phone;

    /**
     * 客户身份证
     */
    @Excel(name = "客户身份证")
    private String card;

    /**
     * 入住日期
     */
    @Excel(name = "入住日期")
    private String min;

    /**
     * 预订状态
     */
    @Excel(name = "预订状态")
    private Integer state;

    /**
     * 退房日期
     */
    @Excel(name = "退房日期")
    private String max;

    /**
     * 天数
     */
    @Excel(name = "天数")
    private Long days;

    private ShopRoom shopRoom;

    private String shopName;
    private String shopId;
    private String role;

    public String getRole() {
        return role;
    }

    public void setRole(String role) {
        this.role = role;
    }

    public String getShopId() {
        return shopId;
    }

    public void setShopId(String shopId) {
        this.shopId = shopId;
    }

    public String getShopName() {
        return shopName;
    }

    public ShopRoom getShopRoom() {
        return shopRoom;
    }

    public void setShopRoom(ShopRoom shopRoom) {
        this.shopRoom = shopRoom;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setRoomId(Long roomId) {
        this.roomId = roomId;
    }

    public Long getRoomId() {
        return roomId;
    }

    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }

    public Long getMemberId() {
        return memberId;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getPhone() {
        return phone;
    }

    public void setCard(String card) {
        this.card = card;
    }

    public String getCard() {
        return card;
    }

    public void setMin(String min) {
        this.min = min;
    }

    public String getMin() {
        return min;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Integer getState() {
        return state;
    }

    public void setMax(String max) {
        this.max = max;
    }

    public String getMax() {
        return max;
    }

    public void setDays(Long days) {
        this.days = days;
    }

    public Long getDays() {
        return days;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("roomId", getRoomId())
                .append("memberId", getMemberId())
                .append("name", getName())
                .append("phone", getPhone())
                .append("card", getCard())
                .append("min", getMin())
                .append("state", getState())
                .append("max", getMax())
                .append("createTime", getCreateTime())
                .append("days", getDays())
                .toString();
    }
}